{
    "compilerOptions": {
      "baseUrl": "./",
      "allowSyntheticDefaultImports": true,
      "module": "es2015",
      "target": "es5",
      "lib": ["es6", "dom"],
      "sourceMap": true,
      "allowJs": true,
      "jsx": "react",
      "moduleResolution": "node",
      "rootDir": "../",
      "outDir": "dist",
      "noImplicitReturns": true,
      "noImplicitThis": false, // gives 3 errors in preser customizer in sortfunctions (state does not exist)
      "noImplicitAny": false,
      "strict": false,
      "strictNullChecks": false
    },
    "include": [
      "src/**/*"
    ],
    "exclude": [
      "node_modules",
      "build",
      "dist",
      "scripts",
      "acceptance-tests",
      "webpack",
      "jest",
      "src/setupTests.ts",
      "**/*/*.test.ts",
      "examples"
    ]
  }
